Page 1 of 3 123 LastLast
Results 1 to 10 of 29
  1. #1
    Join Date
    Jun 2009
    Location
    Des Moines, Iowa USA
    Posts
    585
    Plugin Contributions
    0

    Default help with database upgrade

    [Note: remember to include site URL, ZC version, list of plugins, PHP version, etc ... read the Posting Tips shown above for information to include in your post here. And, remove this comment before actually posting!]

    I am stuck

    upgrading from 1.3.9 to 1.5.4
    www.windflowergrove.com

    I do not upgrade very often because it is always very difficult for me. Right now I have gotten to upgrading my database. It requests user name and password. Before this database upgrade I used this password to access the test site admin area and it worked great. now the zc_install says is "Admin Password required to proceed with upgrade more info..." during the database upgrade.
    I must have missed something along the way. But can not figure out what. i have read and reread instructions.

  2. #2
    Join Date
    Jul 2012
    Posts
    15,096
    Plugin Contributions
    17

    Default Re: help with database upgrade

    If the database contains your 1.3.9 data, then the username password needed is the one used to logon to your 1.3.9 admin area as a superuser. Effectively your sample database and credentials would have been replaced by the data of your old database that is to be updated.
    ZC Installation/Maintenance Support <- Site
    Contribution for contributions welcome...
    Upgraded to Zen Cart V1.5.3 from V1.5.1 from V1.5.0 from V1.3.9h

  3. #3
    Join Date
    Jun 2009
    Location
    Des Moines, Iowa USA
    Posts
    585
    Plugin Contributions
    0

    Default Re: help with database upgrade

    How great TY
    I did have this error tho..Should I be concerned. They said it may work just fine even tho..

    SKIPPED: Cannot drop index page_accessed on table admin_activity_log because it does not exist.
    SKIPPED: Cannot drop index access_date on table admin_activity_log because it does not exist.
    SKIPPED: Cannot add index idx_page_accessed_zen to table admin_activity_log because it already exists.
    SKIPPED: Cannot add index idx_access_date_zen to table admin_activity_log because it already exists.

  4. #4
    Join Date
    Jul 2012
    Posts
    15,096
    Plugin Contributions
    17

    Default Re: help with database upgrade

    No there should be no concern for the messages that were presented. They are making a statement of fact in that 1) the command was trying to do something, 2) AND the something has already been done or was otherwise already addressed.
    ZC Installation/Maintenance Support <- Site
    Contribution for contributions welcome...
    Upgraded to Zen Cart V1.5.3 from V1.5.1 from V1.5.0 from V1.3.9h

  5. #5
    Join Date
    Jun 2009
    Location
    Des Moines, Iowa USA
    Posts
    585
    Plugin Contributions
    0

    Default Re: help with database upgrade

    Finished the database upgrade TY very much MC.. with the errors as indicated..
    Changed the admin to my own name... changed the permissions to 444. renamed zc_install ..

    Firefox will not connect to the admin..


    "Your connection is not secure

    The owner of www.windflowergrove.com has configured their website improperly. To protect your information from being stolen, Firefox has not connected to this website.

    Learn more…

    Report errors like this to help Mozilla identify and block malicious sites

  6. #6
    Join Date
    Jun 2009
    Location
    Des Moines, Iowa USA
    Posts
    585
    Plugin Contributions
    0

    Default Re: help with database upgrade

    Thinking about what you said on the database so I renamed the admin folder to the name of the old site as opposed to the new site - result got into the admin but when I login the cursor says that it is not secure?

  7. #7
    Join Date
    Jun 2009
    Location
    Des Moines, Iowa USA
    Posts
    585
    Plugin Contributions
    0

    Default Re: help with database upgrade

    ok the website is not working correctly and the overrides are not showing..

    www.windflowergrove.com
    TYIA

  8. #8
    Join Date
    Jul 2012
    Posts
    15,096
    Plugin Contributions
    17

    Default Re: help with database upgrade

    Ok, discussion of "security". Does your site use a SSL certificate? If so, what arrangements have been made to use it? Some browsers are reporting lack of security issues for pages that have login credentials. There is a setting that can be modified for the browser, but ultimately the direction that appears to be where things have been headed is to apply a SSL certificate.

    As for the site display and overrides, generally speaking should go through the template selection/configuration area to be sure that at least the desired template is selected.

    The other thing now that have visited the site is that it appears that in includes/configure.php (at least andmaybe also in admin/includes/configure.php) there is a setting for DIR_WS_CATALOG of '/windflowergrove/' where it looks like probably want it to just be '/'

    Either that or need something else to direct visitors to the sub-directory that doesn't appear to exist.
    ZC Installation/Maintenance Support <- Site
    Contribution for contributions welcome...
    Upgraded to Zen Cart V1.5.3 from V1.5.1 from V1.5.0 from V1.3.9h

  9. #9
    Join Date
    Nov 2005
    Location
    los angeles
    Posts
    1,587
    Plugin Contributions
    5

    Default Re: help with database upgrade

    Quote Originally Posted by stitchnkitty View Post
    ok the website is not working correctly and the overrides are not showing..

    www.windflowergrove.com
    TYIA
    i am not sure what you mean by overrides....

    you have a couple of problems. first is that if you have a SSL certificate for your site, it is installed incorrectly. you need to speak to you host about that. if you do NOT have a SSL certificate, i personally would get one. some hosts now provide for lets encrypt certificates... which are free... can't do better than that.

    the 2nd and more pressing problem is, as MC has stated, you have a problem with your configure.php file. i think the windflowergrove may be in the wrong place or is not needed.... the code should look like something like this:

    PHP Code:
    /**
     * These DIR_WS_xxxx values refer to the name of any subdirectory in which your store is located.
     * These values get added to the HTTP_CATALOG_SERVER and HTTPS_CATALOG_SERVER values to form the complete URLs to your storefront.
     * They should always start and end with a slash ... ie: '/' or '/foldername/'
     */
    define('DIR_WS_CATALOG''/');
    define('DIR_WS_HTTPS_CATALOG''/');

    /**
     * This is the complete physical path to your store's files.  eg: /var/www/vhost/accountname/public_html/store/
     * Should have a closing / on it.
     */
    define('DIR_FS_CATALOG''/var/www/windflowergrove/'); 
    i'm making a few guesses here. but if you fix the configure.php, you should be off to the races.... and get your own SSL certificate. right now, its pointed to a generic bluehost one which directs you to another ZC site.... hmmm...

    good luck!
    practice #socialdistancing #staysafe
    email is hard....
    help out with the green....

  10. #10
    Join Date
    Jun 2009
    Location
    Des Moines, Iowa USA
    Posts
    585
    Plugin Contributions
    0

    Default Re: help with database upgrade

    Yes my cat was coded incorrectly. and the website looks great - and now I have to worry about the https to engage on this site. It is located in the subdirectory of the site stitchnframeonline.com(which has an SSLCert). In 1.3.9(for windflowergrove.com) there was no issue, and I have tried to match the coding from the "old" site to the "new" site in the configure file. But being a noncoder this can be tough for me.

 

 
Page 1 of 3 123 LastLast

Similar Threads

  1. Upgrade from 1.3.0.2 to latest with database mods
    By jameswilson in forum Upgrading from 1.3.x to 1.3.9
    Replies: 4
    Last Post: 3 Oct 2010, 09:30 PM
  2. Problem with database may as well upgrade?
    By pb4 in forum Upgrading from 1.3.x to 1.3.9
    Replies: 3
    Last Post: 18 May 2010, 01:07 PM
  3. help with mysql database on store upgrade/move
    By kinget in forum Upgrading from 1.3.x to 1.3.9
    Replies: 2
    Last Post: 28 Oct 2008, 12:11 PM
  4. Problem with database upgrade v1.3.7 to 1.3.8
    By taz79 in forum Upgrading from 1.3.x to 1.3.9
    Replies: 14
    Last Post: 2 Apr 2008, 09:57 PM
  5. problem with database upgrade
    By billt in forum Upgrading from 1.3.x to 1.3.9
    Replies: 5
    Last Post: 14 Jan 2008, 10:39 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
disjunctive-egg
Zen-Cart, Internet Selling Services, Klamath Falls, OR